From: Eli Zaretskii <eliz@gnu.org>
Bug: https://debbugs.gnu.org/33493
Bug-Debian: https://bugs.debian.org/916227
Subject: New Version of Hunspell (1.7.0-1) brakes ispell.el
Date: Sun, 25 Nov 2018 18:10:47 +0200

--- a/lisp/textmodes/ispell.el
+++ b/lisp/textmodes/ispell.el
@@ -1111,7 +1111,12 @@ dictionary from that list was found."
 				 null-device
 				 t
 				 nil
-				 "-D")
+                                 ;; Hunspell 1.7.0 (and later?) won't
+                                 ;; show LOADED DICTIONARY unless
+                                 ;; there's at least one file argument
+                                 ;; on the command line.  So we feed
+                                 ;; it with the null device.
+				 "-D" null-device)
 	    (buffer-string))
 	  "[\n\r]+"
 	  t))
